#### Linux From Scratch - Version r13.0-133

### Chapter 8. Installing Basic System Software

- Prev

  Less-702

- Next

  Autoconf-2.73

- Up
- Home

# 8.44. Perl-5.42.2

The Perl package contains the Practical Extraction and Report Language.

Approximate build time: 1.3 SBU
Required disk space: 257 MB

## 8.44.1. Installation of Perl

This version of Perl builds the Compress::Raw::Zlib and Compress::Raw::BZip2 modules. By default Perl will use an internal copy of the sources for the build. Issue the following command so that Perl will use the libraries installed on the system:

    export BUILD_ZLIB=False
    export BUILD_BZIP2=0

To have full control over the way Perl is set up, you can remove the “-des” options from the following command and hand-pick the way this package is built. Alternatively, use the command exactly as shown below to use the defaults that Perl auto-detects:

    sh Configure -des                                          \
                 -D prefix=/usr                                \
                 -D vendorprefix=/usr                          \
                 -D privlib=/usr/lib/perl5/5.42/core_perl      \
                 -D archlib=/usr/lib/perl5/5.42/core_perl      \
                 -D sitelib=/usr/lib/perl5/5.42/site_perl      \
                 -D sitearch=/usr/lib/perl5/5.42/site_perl     \
                 -D vendorlib=/usr/lib/perl5/5.42/vendor_perl  \
                 -D vendorarch=/usr/lib/perl5/5.42/vendor_perl \
                 -D man1dir=/usr/share/man/man1                \
                 -D man3dir=/usr/share/man/man3                \
                 -D pager="/usr/bin/less -isR"                 \
                 -D useshrplib                                 \
                 -D usethreads

The meaning of the new Configure options:

`-D pager="/usr/bin/less -isR"`

  This ensures that `less` is used instead of `more`.

`-D man1dir=/usr/share/man/man1 -D man3dir=/usr/share/man/man3`

  Since Groff is not installed yet, Configure will not create man pages for Perl. These parameters override this behavior.

`-D usethreads`

  Build Perl with support for threads.

Compile the package:

    make

To test the results, issue:

    TEST_JOBS=$(nproc) make test_harness

Install the package and clean up:

    make install
    unset BUILD_ZLIB BUILD_BZIP2

## 8.44.2. Contents of Perl

Installed programs: corelist, cpan, enc2xs, encguess, h2ph, h2xs, instmodsh, json_pp, libnetcfg, perl, perl5.42.2 (hard link to perl), perlbug, perldoc, perlivp, perlthanks (hard link to perlbug), piconv, pl2pm, pod2html, pod2man, pod2text, pod2usage, podchecker, podselect, prove, ptar, ptardiff, ptargrep, shasum, splain, xsubpp, and zipdetails
Installed libraries: Many which cannot all be listed here
Installed directory: /usr/lib/perl5

### Short Descriptions

corelist | A command line front end to Module::CoreList
cpan | Interact with the Comprehensive Perl Archive Network (CPAN) from the command line
enc2xs | Builds a Perl extension for the Encode module from either Unicode Character Mappings or Tcl Encoding Files
encguess | Guess the encoding type of one or several files
h2ph | Converts `.h` C header files to `.ph` Perl header files
h2xs | Converts `.h` C header files to Perl extensions
instmodsh | Shell script for examining installed Perl modules; it can create a tarball from an installed module
json_pp | Converts data between certain input and output formats
libnetcfg | Can be used to configure the `libnet` Perl module
perl | Combines some of the best features of C, sed, awk and sh into a single Swiss Army language
perl5.42.2 | A hard link to perl
perlbug | Used to generate bug reports about Perl, or the modules that come with it, and mail them
perldoc | Displays a piece of documentation in pod format that is embedded in the Perl installation tree or in a Perl script
perlivp | The Perl Installation Verification Procedure; it can be used to verify that Perl and its libraries have been installed correctly
perlthanks | Used to generate thank you messages to mail to the Perl developers
piconv | A Perl version of the character encoding converter iconv
pl2pm | A rough tool for converting Perl4 `.pl` files to Perl5 `.pm` modules
pod2html | Converts files from pod format to HTML format
pod2man | Converts pod data to formatted *roff input
pod2text | Converts pod data to formatted ASCII text
pod2usage | Prints usage messages from embedded pod docs in files
podchecker | Checks the syntax of pod format documentation files
podselect | Displays selected sections of pod documentation
prove | Command line tool for running tests against the Test::Harness module
ptar | A tar-like program written in Perl
ptardiff | A Perl program that compares an extracted archive with an unextracted one
ptargrep | A Perl program that applies pattern matching to the contents of files in a tar archive
shasum | Prints or checks SHA checksums
splain | Is used to force verbose warning diagnostics in Perl
xsubpp | Converts Perl XS code into C code
zipdetails | Displays details about the internal structure of a Zip file

- Prev

  Less-702

- Next

  Autoconf-2.73

- Up
- Home